Acknowledge Incident
curl --request POST \
--url http://{host}:{port}/{basePath}/incidents/{name}/acknowledge \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"acknowledgedBy": "carlos.silva@empresa.com",
"message": "Investigating memory increase on payment-service"
}
'import requests
url = "http://{host}:{port}/{basePath}/incidents/{name}/acknowledge"
payload = {
"acknowledgedBy": "carlos.silva@empresa.com",
"message": "Investigating memory increase on payment-service"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
acknowledgedBy: 'carlos.silva@empresa.com',
message: 'Investigating memory increase on payment-service'
})
};
fetch('http://{host}:{port}/{basePath}/incidents/{name}/acknowledge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"apiVersion": "v1",
"kind": "Incident",
"metadata": {
"name": "INC-20260319-001",
"namespace": "production"
},
"status": {
"state": "Analyzing",
"acknowledged": true,
"acknowledgedBy": "carlos.silva@empresa.com",
"acknowledgedAt": "2026-03-19T15:30:00Z",
"message": "Investigando aumento de memoria no payment-service"
}
}
Incidents
Acknowledge Incident
Marks an incident as acknowledged, indicating the team is aware and acting on it
POST
/
incidents
/
{name}
/
acknowledge
Acknowledge Incident
string
required
Unique incident name (e.g.,
INC-20260319-001)string
required
Identifier of the user or team acknowledging the incident
string
Optional message with context about the acknowledgment
{
"apiVersion": "v1",
"kind": "Incident",
"metadata": {
"name": "INC-20260319-001",
"namespace": "production"
},
"status": {
"state": "Analyzing",
"acknowledged": true,
"acknowledgedBy": "carlos.silva@empresa.com",
"acknowledgedAt": "2026-03-19T15:30:00Z",
"message": "Investigando aumento de memoria no payment-service"
}
}
{
"apiVersion": "v1",
"kind": "Error",
"error": {
"code": 409,
"message": "Incident already acknowledged",
"details": "The incident 'INC-20260319-001' was already acknowledged by carlos.silva@empresa.com at 2026-03-19T15:30:00Z"
}
}
Authorizations
Bearer token issued by the operator. Format: Authorization: Bearer <token>.
Path Parameters
Unique incident name.
Example:
"INC-20260319-001"
Body
application/json
⌘I